aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2021-10-18 02:24:17 +0200
committerJakub Jirutka <jakub@jirutka.cz>2021-10-18 18:44:41 +0200
commitcde6e0fe64c8d41dc203b66f227612fa2f5ef98c (patch)
tree8615f8d8649a3deb8de01be397ca996e0631efb3
parent7f5dd4c4cf2a50615e28b29805b4f8acb0a8e070 (diff)
downloadaports-cde6e0fe64c8d41dc203b66f227612fa2f5ef98c.tar.gz
aports-cde6e0fe64c8d41dc203b66f227612fa2f5ef98c.tar.bz2
aports-cde6e0fe64c8d41dc203b66f227612fa2f5ef98c.tar.xz
*/*: remove ruby-* that were merged into ruby-libs from dependencies
-rw-r--r--community/mkvtoolnix/APKBUILD4
-rw-r--r--community/opennebula/APKBUILD4
-rw-r--r--community/ronn/APKBUILD2
-rw-r--r--community/ruby-concurrent-ruby/APKBUILD2
-rw-r--r--community/ruby-ffi/APKBUILD2
-rw-r--r--community/ruby-i18n/APKBUILD2
-rw-r--r--community/ruby-mathematical/APKBUILD3
-rw-r--r--community/ruby-nokogiri/APKBUILD2
-rw-r--r--community/ruby-ox/APKBUILD1
-rw-r--r--community/ruby-pg/APKBUILD1
-rw-r--r--community/ruby-pg_query/APKBUILD2
-rw-r--r--community/ruby-rbvmomi/APKBUILD2
-rw-r--r--community/ruby-rouge/APKBUILD2
-rw-r--r--community/webkit2gtk/APKBUILD3
-rw-r--r--community/xapian-bindings/APKBUILD2
-rw-r--r--main/ghi/APKBUILD4
-rw-r--r--main/ruby-bundler/APKBUILD2
-rw-r--r--testing/jekyll/APKBUILD2
-rw-r--r--testing/minidyndns/APKBUILD4
-rw-r--r--testing/ruby-http_parser.rb/APKBUILD2
-rw-r--r--testing/ruby-liquid/APKBUILD2
-rw-r--r--testing/ruby-pathutil/APKBUILD2
-rw-r--r--testing/wpewebkit/APKBUILD3
23 files changed, 24 insertions, 31 deletions
diff --git a/community/mkvtoolnix/APKBUILD b/community/mkvtoolnix/APKBUILD
index aaf09aace4..877dda186c 100644
--- a/community/mkvtoolnix/APKBUILD
+++ b/community/mkvtoolnix/APKBUILD
@@ -3,7 +3,7 @@
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=mkvtoolnix
pkgver=62.0.0
-pkgrel=0
+pkgrel=1
pkgdesc="Set of tools to create, edit and inspect Matroska files"
url="https://mkvtoolnix.download/index.html"
# armhf blocked by qtmultimedia -> qtdeclarative
@@ -13,7 +13,7 @@ url="https://mkvtoolnix.download/index.html"
arch="all !armhf !mips64 !riscv64"
license="GPL-2.0-only"
makedepends="boost-dev docbook-xsl file-dev flac-dev gtest-dev pcre2-dev
- libmatroska-dev libogg-dev libvorbis-dev ruby-json ruby-rake zlib-dev
+ libmatroska-dev libogg-dev libvorbis-dev ruby ruby-rake zlib-dev
qt5-qtbase-dev qt5-qtmultimedia-dev cmark-dev gmp-dev"
subpackages="$pkgname-doc $pkgname-gui"
source="https://mkvtoolnix.download/sources/mkvtoolnix-$pkgver.tar.xz"
diff --git a/community/opennebula/APKBUILD b/community/opennebula/APKBUILD
index eb2082d762..b16e082030 100644
--- a/community/opennebula/APKBUILD
+++ b/community/opennebula/APKBUILD
@@ -8,8 +8,8 @@ pkgdesc="OpenNebula (currenty empty, install opennebula-tools instead)"
url="https://opennebula.io"
arch="noarch !s390x" #ruby-rbvmomi
license="Apache-2.0"
-_depends_ruby="ruby ruby-bigdecimal ruby-json ruby-nokogiri ruby-rbvmomi ruby-xmlrpc"
-_depends_tools="ruby ruby-io-console ruby-json ruby-nokogiri"
+_depends_ruby="ruby ruby-nokogiri ruby-rbvmomi ruby-xmlrpc"
+_depends_tools="ruby ruby-nokogiri"
makedepends="$_depends_ruby $_depends_tools bash"
# The subpackages reflect names of the official Debian/Ubuntu packages.
subpackages="
diff --git a/community/ronn/APKBUILD b/community/ronn/APKBUILD
index 39f7b5219e..0e36dc0481 100644
--- a/community/ronn/APKBUILD
+++ b/community/ronn/APKBUILD
@@ -9,7 +9,7 @@ pkgdesc="Convert Markdown files to manpages"
url="https://rtomayko.github.io/ronn/"
arch="noarch"
license="MIT"
-depends="groff ruby ruby-json ruby-hpricot ruby-mustache ruby-rdiscount"
+depends="groff ruby ruby-hpricot ruby-mustache ruby-rdiscount"
checkdepends="ruby-rake ruby-test-unit"
subpackages="$pkgname-doc"
source="$pkgname-$pkgver.tar.gz::https://github.com/rtomayko/$pkgname/archive/$pkgver.tar.gz"
diff --git a/community/ruby-concurrent-ruby/APKBUILD b/community/ruby-concurrent-ruby/APKBUILD
index 27a423409b..6589d492fe 100644
--- a/community/ruby-concurrent-ruby/APKBUILD
+++ b/community/ruby-concurrent-ruby/APKBUILD
@@ -8,7 +8,7 @@ pkgdesc="Modern concurrency tools for Ruby"
url="http://www.concurrent-ruby.com"
arch="all"
license="MIT"
-depends="ruby ruby-etc"
+depends="ruby"
makedepends="ruby-dev ruby-rake ruby-rake-compiler"
checkdepends="ruby-rspec ruby-timecop"
subpackages="$pkgname-ext"
diff --git a/community/ruby-ffi/APKBUILD b/community/ruby-ffi/APKBUILD
index c354bf7cbc..6c1e94d734 100644
--- a/community/ruby-ffi/APKBUILD
+++ b/community/ruby-ffi/APKBUILD
@@ -8,7 +8,7 @@ pkgdesc="Ruby FFI library"
url="https://github.com/ffi/ffi"
arch="all"
license="BSD-3-Clause"
-checkdepends="ruby-bigdecimal ruby-fiddle ruby-rspec"
+checkdepends="ruby-rspec"
makedepends="libffi-dev ruby ruby-dev"
install="$pkgname.post-install"
source="$pkgname-$pkgver.tar.gz::https://github.com/ffi/$_gemname/archive/v$pkgver.tar.gz
diff --git a/community/ruby-i18n/APKBUILD b/community/ruby-i18n/APKBUILD
index 9c7abae723..ff1c9af612 100644
--- a/community/ruby-i18n/APKBUILD
+++ b/community/ruby-i18n/APKBUILD
@@ -8,7 +8,7 @@ pkgdesc="New wave Internationalization support for Ruby"
url="https://github.com/svenfuchs/i18n"
arch="noarch"
license="MIT"
-depends="ruby ruby-concurrent-ruby ruby-json"
+depends="ruby ruby-concurrent-ruby"
options="!check" # tests require additional deps that we don't have yet
source="$pkgname-$pkgver.tar.gz::https://github.com/svenfuchs/$_gemname/archive/v$pkgver.tar.gz"
builddir="$srcdir/$_gemname-$pkgver"
diff --git a/community/ruby-mathematical/APKBUILD b/community/ruby-mathematical/APKBUILD
index 998549dc5f..7c911573ef 100644
--- a/community/ruby-mathematical/APKBUILD
+++ b/community/ruby-mathematical/APKBUILD
@@ -10,8 +10,7 @@ arch="all !s390x" # limited by ruby-nokogiri
license="MIT"
depends="ruby ruby-enum"
makedepends="cmake lasem-dev mtex2mml-dev ruby-dev"
-checkdepends="mtex2mml-fixtures ruby-io-console ruby-irb ruby-json
- ruby-minitest ruby-nokogiri ruby-rake"
+checkdepends="mtex2mml-fixtures ruby-minitest ruby-nokogiri ruby-rake"
source="$pkgname-$pkgver.tar.gz::https://github.com/gjtorikian/$_gemname/archive/v$pkgver.tar.gz
use-system-mtex2mml-fixtures.patch"
builddir="$srcdir/$_gemname-$pkgver"
diff --git a/community/ruby-nokogiri/APKBUILD b/community/ruby-nokogiri/APKBUILD
index 6e89055aa1..67b95de2ae 100644
--- a/community/ruby-nokogiri/APKBUILD
+++ b/community/ruby-nokogiri/APKBUILD
@@ -10,7 +10,7 @@ arch="all !s390x"
license="MIT"
depends="ruby"
makedepends="ruby-dev ruby-mini_portile2 libxml2-dev libxslt-dev"
-checkdepends="ruby-json ruby-minitest ruby-test-unit"
+checkdepends="ruby-minitest ruby-test-unit"
source="https://github.com/sparklemotion/$_gemname/archive/v$pkgver/$_gemname-$pkgver.tar.gz
gemspec-fix-deps.patch
test-helper-remove-unnecessary-deps.patch
diff --git a/community/ruby-ox/APKBUILD b/community/ruby-ox/APKBUILD
index 9c4c2af0a7..ea3c58d115 100644
--- a/community/ruby-ox/APKBUILD
+++ b/community/ruby-ox/APKBUILD
@@ -9,7 +9,6 @@ url="https://github.com/ohler55/ox"
# armhf, armv7 - fails to build (invalid storage class for function ...)
arch="all !armhf !armv7"
license="MIT"
-depends="ruby-bigdecimal"
checkdepends="ruby ruby-test-unit"
makedepends="ruby-dev"
source="$pkgname-$pkgver.tar.gz::https://github.com/ohler55/$_gemname/archive/v$pkgver.tar.gz
diff --git a/community/ruby-pg/APKBUILD b/community/ruby-pg/APKBUILD
index 92f6c94245..859aaaeb29 100644
--- a/community/ruby-pg/APKBUILD
+++ b/community/ruby-pg/APKBUILD
@@ -8,7 +8,6 @@ pkgdesc="A PostgreSQL client library for Ruby"
url="https://github.com/ged/ruby-pg"
arch="all"
license="BSD-2-Clause PostgreSQL"
-depends="ruby-bigdecimal ruby-json"
checkdepends="postgresql ruby-rspec"
makedepends="postgresql-dev ruby-dev"
source="https://github.com/ged/ruby-pg/archive/v$pkgver/ruby-pg-$pkgver.tar.gz
diff --git a/community/ruby-pg_query/APKBUILD b/community/ruby-pg_query/APKBUILD
index e95f993fea..1864e30b49 100644
--- a/community/ruby-pg_query/APKBUILD
+++ b/community/ruby-pg_query/APKBUILD
@@ -14,7 +14,7 @@ url="https://github.com/pganalyze/pg_query"
arch="all !x86 !armhf !armv7 !mips64 !mips64le !s390x !riscv64"
license="BSD-3-Clause"
depends="ruby ruby-google-protobuf>=3.15.5"
-checkdepends="ruby-json ruby-rspec"
+checkdepends="ruby-rspec"
makedepends="
libpg_query-dev
protoc
diff --git a/community/ruby-rbvmomi/APKBUILD b/community/ruby-rbvmomi/APKBUILD
index 76ffdc0bff..eaf69b0ff8 100644
--- a/community/ruby-rbvmomi/APKBUILD
+++ b/community/ruby-rbvmomi/APKBUILD
@@ -8,7 +8,7 @@ pkgdesc="Ruby interface to the VMware vSphere API"
url="https://github.com/vmware/rbvmomi"
arch="noarch !s390x" # missing ruby-nokogiri
license="MIT"
-depends="ruby ruby-builder ruby-json ruby-nokogiri ruby-optimist"
+depends="ruby ruby-builder ruby-nokogiri ruby-optimist"
checkdepends="ruby-rake ruby-test-unit"
source="https://github.com/vmware/rbvmomi/archive/v$pkgver/$_gemname-$pkgver.tar.gz
remove-extra-test-deps.patch
diff --git a/community/ruby-rouge/APKBUILD b/community/ruby-rouge/APKBUILD
index 0afdf81c98..9144839afe 100644
--- a/community/ruby-rouge/APKBUILD
+++ b/community/ruby-rouge/APKBUILD
@@ -9,7 +9,7 @@ url="https://github.com/rouge-ruby/rouge"
arch="noarch"
license="MIT AND BSD-2-Clause"
depends="ruby"
-checkdepends="ruby-json ruby-minitest ruby-rake"
+checkdepends="ruby-minitest ruby-rake"
source="https://github.com/rouge-ruby/rouge/archive/v$pkgver/$pkgname-$pkgver.tar.gz"
builddir="$srcdir/$_gemname-$pkgver"
options="!check" # FIXME: run tests
diff --git a/community/webkit2gtk/APKBUILD b/community/webkit2gtk/APKBUILD
index 518025416a..50a19f8fbf 100644
--- a/community/webkit2gtk/APKBUILD
+++ b/community/webkit2gtk/APKBUILD
@@ -4,7 +4,7 @@
# Maintainer: Rasmus Thomsen <oss@cogitri.dev>
pkgname=webkit2gtk
pkgver=2.34.0
-pkgrel=0
+pkgrel=1
pkgdesc="Portable web rendering engine WebKit for GTK+"
url="https://webkitgtk.org/"
# mips64 and riscv64 blocked by gst-plugins-bad
@@ -49,7 +49,6 @@ makedepends="
samurai
sqlite-dev
woff2-dev
- ruby-json
libwpe-dev
libwpebackend-fdo-dev
"
diff --git a/community/xapian-bindings/APKBUILD b/community/xapian-bindings/APKBUILD
index 6acc575923..dd734bd455 100644
--- a/community/xapian-bindings/APKBUILD
+++ b/community/xapian-bindings/APKBUILD
@@ -17,7 +17,7 @@ _py_makedepends="
_php_makedepends="php7-dev"
_perl_makedepends="perl-dev"
_lua_makedepends="lua5.3-dev"
-_ruby_makedepends="ruby-dev ruby ruby-rdoc ruby-irb"
+_ruby_makedepends="ruby-dev ruby ruby-rdoc"
_tcl_makedepends="tcl-dev"
makedepends="automake autoconf libtool bash xapian-core-dev sphinx
diff --git a/main/ghi/APKBUILD b/main/ghi/APKBUILD
index 76c1aa78c6..830c8ccaaa 100644
--- a/main/ghi/APKBUILD
+++ b/main/ghi/APKBUILD
@@ -2,12 +2,12 @@
# Maintainer: Roberto Oliveira <robertoguimaraes8@gmail.com>
pkgname=ghi
pkgver=1.2.0
-pkgrel=5
+pkgrel=6
pkgdesc="GitHub Issues on the command line"
url="https://github.com/stephencelis/ghi"
arch="noarch"
license="MIT"
-depends="ruby ruby-json ncurses less"
+depends="ruby ncurses less"
options="!check"
subpackages="$pkgname-doc"
source="$pkgname-$pkgver.tar.gz::https://github.com/stephencelis/ghi/archive/$pkgver.tar.gz"
diff --git a/main/ruby-bundler/APKBUILD b/main/ruby-bundler/APKBUILD
index 974e84c689..7f2c846f10 100644
--- a/main/ruby-bundler/APKBUILD
+++ b/main/ruby-bundler/APKBUILD
@@ -7,7 +7,7 @@ pkgdesc="Manage an application's gem dependencies"
url="https://bundler.io/"
arch="noarch"
license="MIT"
-depends="ruby ruby-etc ruby-io-console"
+depends="ruby"
makedepends="ruby-rake"
subpackages="$pkgname-doc"
source="https://github.com/rubygems/rubygems/archive/bundler-v$pkgver.tar.gz
diff --git a/testing/jekyll/APKBUILD b/testing/jekyll/APKBUILD
index 63f51eb3a3..1011e48247 100644
--- a/testing/jekyll/APKBUILD
+++ b/testing/jekyll/APKBUILD
@@ -27,8 +27,6 @@ _gemspec_depends="$depends
"
depends="ruby-$_gemname=$pkgver-r$pkgrel
ruby
- ruby-bigdecimal
- ruby-json
ruby-webrick
ruby-bundler
$_gemspec_depends
diff --git a/testing/minidyndns/APKBUILD b/testing/minidyndns/APKBUILD
index 0600e6f0e7..35799283a1 100644
--- a/testing/minidyndns/APKBUILD
+++ b/testing/minidyndns/APKBUILD
@@ -2,12 +2,12 @@
# Maintainer: Martin Rusko <martin.rusko@gmail.com>
pkgname=minidyndns
pkgver=1.3.0
-pkgrel=2
+pkgrel=3
pkgdesc="A simple no fuss DNS server with built-in HTTP/HTTPS interface to update IPs"
url="https://github.com/arkanis/minidyndns"
arch="noarch"
license="MIT"
-depends="ruby ruby-etc"
+depends="ruby"
options="!check" # there is no testing suite at the moment
subpackages="$pkgname-doc $pkgname-openrc"
source="minidyndns-$pkgver.tar.gz::https://github.com/arkanis/minidyndns/archive/v$pkgver.tar.gz
diff --git a/testing/ruby-http_parser.rb/APKBUILD b/testing/ruby-http_parser.rb/APKBUILD
index 77e176bf91..d4d04f5d86 100644
--- a/testing/ruby-http_parser.rb/APKBUILD
+++ b/testing/ruby-http_parser.rb/APKBUILD
@@ -9,7 +9,7 @@ url="https://github.com/tmm1/http_parser.rb"
arch="all"
license="MIT"
depends="ruby"
-checkdepends="ruby-json ruby-rspec"
+checkdepends="ruby-rspec"
makedepends="http-parser-dev ruby-dev"
source="https://github.com/tmm1/http_parser.rb/archive/v$pkgver/$pkgname-$pkgver.tar.gz
$pkgname-rspec3.patch::https://github.com/tmm1/http_parser.rb/commit/ef98c2388f057459a93d59d464faf1a87853af82.patch
diff --git a/testing/ruby-liquid/APKBUILD b/testing/ruby-liquid/APKBUILD
index 7e10202693..e0a41f77b5 100644
--- a/testing/ruby-liquid/APKBUILD
+++ b/testing/ruby-liquid/APKBUILD
@@ -9,7 +9,7 @@ pkgdesc="A secure, non-evaling end user template engine with aesthetic markup"
url="https://shopify.github.io/liquid/"
arch="noarch"
license="MIT"
-depends="ruby ruby-bigdecimal ruby-json"
+depends="ruby"
checkdepends="ruby-minitest ruby-rake"
source="https://github.com/Shopify/liquid/archive/v$pkgver/$pkgname-$pkgver.tar.gz
tests-disable-stack-profiler.patch
diff --git a/testing/ruby-pathutil/APKBUILD b/testing/ruby-pathutil/APKBUILD
index a4c791710a..0ae02f3e24 100644
--- a/testing/ruby-pathutil/APKBUILD
+++ b/testing/ruby-pathutil/APKBUILD
@@ -9,7 +9,7 @@ url="https://github.com/envygeeks/pathutil"
arch="noarch"
license="MIT"
depends="ruby ruby-forwardable-extended"
-checkdepends="ruby-json ruby-rspec ruby-safe_yaml"
+checkdepends="ruby-rspec ruby-safe_yaml"
source="https://github.com/envygeeks/pathutil/archive/v$pkgver/$_gemname-$pkgver.tar.gz
fix-ruby-keyword-parameter.patch::https://github.com/envygeeks/pathutil/commit/3451a10c362fc867b20c7e471a551b31c40a0246.patch
tests-skip-broken.patch
diff --git a/testing/wpewebkit/APKBUILD b/testing/wpewebkit/APKBUILD
index 6fc9724bfc..c012355bd1 100644
--- a/testing/wpewebkit/APKBUILD
+++ b/testing/wpewebkit/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: David Demelier <markand@malikania.fr>
pkgname=wpewebkit
pkgver=2.33.2
-pkgrel=1
+pkgrel=2
pkgdesc="WebKit port optimized for embedded devices"
url="https://wpewebkit.org"
arch="all !x86 !riscv64" # x86: Out of memory, riscv64: fails to link
@@ -31,7 +31,6 @@ makedepends="
openjpeg-dev
perl
ruby-dev
- ruby-json
wayland-dev
wayland-protocols
woff2-dev